Subject: build failure of next-20220720 due to undefined calls in modpost

From: "Sudip Mukherjee (Codethink)" <[email-masked]>
Date: Wed, 20 Jul 2022 16:28:23 +0100

Hi All,

Not sure if it has been reported, builds of arm64 allmodconfig
have failed to build next-20220720 with the error:

ERROR: modpost: "free_nmi" [drivers/soc/fujitsu/a64fx-diag.ko] undefined!
ERROR: modpost: "request_nmi" [drivers/soc/fujitsu/a64fx-diag.ko] undefined!
ERROR: modpost: "enable_nmi" [drivers/soc/fujitsu/a64fx-diag.ko] undefined!

--
Regards
Sudip